# Class TCefApplication

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFApplication

## Declaration

`type TCefApplication = class(TCefApplicationCore)`

## Description

Main class used to simplify the CEF initialization and destruction.

## Hierarchy

- TInterfacedObject
- TCefApplicationCore
- TCefApplication

## Overview

### Fields

| `FDestroyApplicationObject: boolean;`
| `FDestroyAppWindows: boolean;`
| `FContextInitializedHandlers: TMethodList;`

### Methods

| `procedure CallContextInitializedHandlers(Data: PtrInt);`
| `procedure doOnContextInitialized; override;`
| `procedure BeforeInitSubProcess; override;`
| `constructor Create;`
| `destructor Destroy; override;`
| `procedure UpdateDeviceScaleFactor; override;`
| `Procedure AddContextInitializedHandler(AHandler: TNotifyEvent);`
| `Procedure RemoveContextInitializedHandler(AHandler: TNotifyEvent);`

### Properties

| `property DestroyApplicationObject : boolean read FDestroyApplicationObject write FDestroyApplicationObject;`
| `property DestroyAppWindows : boolean read FDestroyAppWindows write FDestroyAppWindows;`

## Description

### Fields

| `FDestroyApplicationObject: boolean;`
This item has no description.

| `FDestroyAppWindows: boolean;`
This item has no description.

| `FContextInitializedHandlers: TMethodList;`
This item has no description.

### Methods

| `procedure CallContextInitializedHandlers(Data: PtrInt);`
This item has no description.

| `procedure doOnContextInitialized; override;`
This item has no description.

| `procedure BeforeInitSubProcess; override;`
This item has no description.

| `constructor Create;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `procedure UpdateDeviceScaleFactor; override;`
This item has no description. Showing description inherited from TCefApplicationCore.UpdateDeviceScaleFactor. Update the DeviceScaleFactor value with the current monitor scale.

| `Procedure AddContextInitializedHandler(AHandler: TNotifyEvent);`
This item has no description.

| `Procedure RemoveContextInitializedHandler(AHandler: TNotifyEvent);`
This item has no description.

### Properties

| `property DestroyApplicationObject : boolean read FDestroyApplicationObject write FDestroyApplicationObject;`
This item has no description.

| `property DestroyAppWindows : boolean read FDestroyAppWindows write FDestroyAppWindows;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.